var _excluded = ["dataSource", "value", "onChange"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useCallback, useMemo } from 'react';
import { Checkbox } from 'antd';
export default function CheckboxGroup(_ref) {
  var dataSource = _ref.dataSource,
    value = _ref.value,
    onChange = _ref.onChange,
    others = _objectWithoutProperties(_ref, _excluded);
  var handleOnChange = useCallback(function (changedValue) {
    onChange && onChange(changedValue);
  }, [onChange]);
  var $Checkboxs = useMemo(function () {
    return (dataSource || []).map(function (_ref2) {
      var value = _ref2.value,
        label = _ref2.label,
        text = _ref2.text;
      return /*#__PURE__*/React.createElement(Checkbox, {
        value: value,
        key: value
      }, label || text);
    });
  }, [dataSource]);
  return /*#__PURE__*/React.createElement(Checkbox.Group, _extends({
    onChange: handleOnChange
  }, others, {
    value: value
  }), $Checkboxs);
}